searchNodes=[{"doc":"A set of functions that manipulate bit flags.","ref":"BitFlagger.html","title":"BitFlagger","type":"module"},{"doc":"Turns off the flag at a specified index. Examples iex&gt; off ( 0b1111 , 2 ) 0b1011","ref":"BitFlagger.html#off/2","title":"BitFlagger.off/2","type":"function"},{"doc":"Checks if the flag is turned off at a specified index. Examples iex&gt; off? ( 0b0001 , 1 ) true iex&gt; off? ( 0b0001 , 0 ) false","ref":"BitFlagger.html#off?/2","title":"BitFlagger.off?/2","type":"function"},{"doc":"Turns on the flag at a specified index. Examples iex&gt; on ( 0b0000 , 2 ) 0b0100","ref":"BitFlagger.html#on/2","title":"BitFlagger.on/2","type":"function"},{"doc":"Checks if the flag is turned on at a specified index. Examples iex&gt; on? ( 0b0010 , 1 ) true iex&gt; on? ( 0b0010 , 3 ) false","ref":"BitFlagger.html#on?/2","title":"BitFlagger.on?/2","type":"function"},{"doc":"Converts an integer to a list of boolean values. Examples iex&gt; parse ( 0b1010 , 4 ) [ false , true , false , true ]","ref":"BitFlagger.html#parse/2","title":"BitFlagger.parse/2","type":"function"},{"doc":"BitFlagger Manipulate bit flags in Elixir.","ref":"readme.html","title":"BitFlagger","type":"extras"},{"doc":"# Let&#39;s say we want to remember certain days of week as a single integer iex&gt; days_of_week = [ :sunday , :monday , :tuesday , :wednesday , :thursday , :friday , :saturday ] # The number of bit flags iex&gt; size = 7 # All the days of the week are 127, no day of the week is the value 0 iex&gt; state = 0b0000000 0 iex&gt; BitFlagger . parse ( state , size ) [ false , false , false , false , false , false , false ] # Turn on the flags at index 1 (Monday) and 3 (Wednesday) iex&gt; state = state |&gt; BitFlagger . on ( 1 ) |&gt; BitFlagger . on ( 3 ) 10 iex&gt; BitFlagger . parse ( state , size ) [ false , true , false , true , false , false , false ] # Turn off the flag at index 1 (Monday) iex&gt; state = BitFlagger . off ( state , 1 ) 8 iex&gt; BitFlagger . parse ( state , size ) [ false , false , false , true , false , false , false ] # We can easily make it human readable iex&gt; Enum . zip ( days_of_week , BitFlagger . parse ( state , size ) ) [ sunday : false , monday : false , tuesday : false , wednesday : true , thursday : false , friday : false , saturday : false ]","ref":"readme.html#usage","title":"BitFlagger - Usage","type":"extras"},{"doc":"Add bit_flagger to your list of dependencies in mix.exs : def deps do [ { :bit_flagger , &quot;~&gt; 0.1.0&quot; } ] end Documentation can be found at https://hexdocs.pm/bit_flagger .","ref":"readme.html#installation","title":"BitFlagger - Installation","type":"extras"}]